#hardcode if you're not in the correct package instance...

#set package_id [ad_conn package_id]
set package_id 3409

set olddb [ns_db gethandle acs32]

set n_tried_old 0

set selection [ns_db select $olddb " 
select * from bboard_topics order by topic_id"]


set mapped_forum_sql   "
select old_forum_id as old_map_id,
new_forum_id as new_map_id 
from migr_forum_map where old_forum_id=:topic_id and package_id=:package_id"

set map_insert_sql "insert into migr_forum_map 
(old_forum_id, new_forum_id, package_id) 
values (:topic_id, :new_id, :package_id)"


set nil [set new [list]]
set output ""

db_transaction {
while { [ns_db getrow $olddb $selection] } {
    set_variables_after_query

    incr n_tried_old
    if [db_0or1row tt $mapped_forum_sql] {
	##already created, sets $new_map_id, $short_name
	set new_id $new_map_id
	set action "nil"
    } else {
	#make a new one!
	set new_created_id [bboard_forum_new -short_name $topic \
            -charter $blather -bboard_id $package_id]

	set new_id $new_created_id
	set action "new"
	db_dml q $map_insert_sql
    }

    set html "
    $topic_id => $new_id:  
    $topic <br>"

    lappend $action $html
    append output "<b>$action</b>:  $html"

}
} on_error {
    set output "<h3>Error:</h3><pre>$errmsg</pre><br><br>$output"
}

ns_db releasehandle $olddb
    
ns_return 200 text/html "<html>
<head><title>Migratonicforum</title></head>
<body><h3> Migrating Forums</h3><p>
<h3>Unsorted Output:</h3>$output<br><h3>Sorted Output:</h3>
<h3>[llength $nil] nil -- forums already created & mapped</h3><p>[join $nil]</p>
<h3>[llength $new] new -- uncreated and unmapped</h3><p>[join $new]</p>
</body></html>
"


    
    
